Bug 1276783 - [abrt] octave: octave-gui killed by SIGSEGV [NEEDINFO]
[abrt] octave: octave-gui killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: octave (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Orion Poplawski
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:00ab9677f2432b754b11e703e07...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-30 17:30 EDT by Tomas Toth
Modified: 2016-12-20 10:16 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:16:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
orion: needinfo? (ttomasz)


Attachments (Terms of Use)
File: backtrace (99.82 KB, text/plain)
2015-10-30 17:31 EDT, Tomas Toth
no flags Details
File: cgroup (190 bytes, text/plain)
2015-10-30 17:31 EDT, Tomas Toth
no flags Details
File: core_backtrace (20.08 KB, text/plain)
2015-10-30 17:31 EDT, Tomas Toth
no flags Details
File: dso_list (17.53 KB, text/plain)
2015-10-30 17:31 EDT, Tomas Toth
no flags Details
File: environ (3.31 KB, text/plain)
2015-10-30 17:31 EDT, Tomas Toth
no flags Details
File: limits (1.29 KB, text/plain)
2015-10-30 17:31 EDT, Tomas Toth
no flags Details
File: maps (87.04 KB, text/plain)
2015-10-30 17:32 EDT, Tomas Toth
no flags Details
File: mountinfo (3.06 KB, text/plain)
2015-10-30 17:32 EDT, Tomas Toth
no flags Details
File: open_fds (1.44 KB, text/plain)
2015-10-30 17:32 EDT, Tomas Toth
no flags Details
File: proc_pid_status (1007 bytes, text/plain)
2015-10-30 17:32 EDT, Tomas Toth
no flags Details
File: var_log_messages (341 bytes, text/plain)
2015-10-30 17:32 EDT, Tomas Toth
no flags Details

  None (edit)
Description Tomas Toth 2015-10-30 17:30:51 EDT
Description of problem:
Launched the octave, it crashed immediately.
$ octave
octave exited with signal 11

Version-Release number of selected component:
octave-4.0.0-5.fc23

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/libexec/octave/4.0.0/exec/x86_64-redhat-linux-gnu/octave-gui
executable:     /usr/libexec/octave/4.0.0/exec/x86_64-redhat-linux-gnu/octave-gui
global_pid:     7087
kernel:         4.2.3-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 ??
 #1 QFactoryLoader::instance at plugin/qfactoryloader.cpp:276
 #2 QIcon::addFile at image/qicon.cpp:843
 #3 QIcon::QIcon at image/qicon.cpp:565
 #4 ScalableEntry::pixmap at image/qiconloader.cpp:515
 #5 QIconLoaderEngine::pixmap at image/qiconloader.cpp:528
 #6 QIcon::pixmap at image/qicon.cpp:684
 #7 Breeze::Style::drawToolButtonLabelControl at ../../kstyle/breezestyle.cpp:4186
 #8 Breeze::Style::drawControl at ../../kstyle/breezestyle.cpp:872
 #9 Breeze::Style::drawToolButtonComplexControl at ../../kstyle/breezestyle.cpp:5700
Comment 1 Tomas Toth 2015-10-30 17:31:20 EDT
Created attachment 1088038 [details]
File: backtrace
Comment 2 Tomas Toth 2015-10-30 17:31:26 EDT
Created attachment 1088039 [details]
File: cgroup
Comment 3 Tomas Toth 2015-10-30 17:31:32 EDT
Created attachment 1088040 [details]
File: core_backtrace
Comment 4 Tomas Toth 2015-10-30 17:31:38 EDT
Created attachment 1088041 [details]
File: dso_list
Comment 5 Tomas Toth 2015-10-30 17:31:40 EDT
Created attachment 1088042 [details]
File: environ
Comment 6 Tomas Toth 2015-10-30 17:31:43 EDT
Created attachment 1088043 [details]
File: limits
Comment 7 Tomas Toth 2015-10-30 17:32:03 EDT
Created attachment 1088044 [details]
File: maps
Comment 8 Tomas Toth 2015-10-30 17:32:05 EDT
Created attachment 1088045 [details]
File: mountinfo
Comment 9 Tomas Toth 2015-10-30 17:32:06 EDT
Created attachment 1088046 [details]
File: open_fds
Comment 10 Tomas Toth 2015-10-30 17:32:09 EDT
Created attachment 1088047 [details]
File: proc_pid_status
Comment 11 Tomas Toth 2015-10-30 17:32:11 EDT
Created attachment 1088048 [details]
File: var_log_messages
Comment 12 Orion Poplawski 2015-10-30 17:38:08 EDT
Hmm, I can't reproduce.  Looks like you're missing some debuginfo as well.  Looks like you may be using the breeze look and feel?
Comment 13 Orion Poplawski 2016-04-04 16:23:42 EDT
Please test with https://bodhi.fedoraproject.org/updates/FEDORA-2016-f2a69b7ba7
Comment 14 Fedora End Of Life 2016-11-24 07:59:47 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2016-12-20 10:16:23 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.